
Figure - Bug #117088
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT3】开机第一次起来后，上层无响应，TP有报点
2023-03-22 16:51 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-22

Priority: High Due date:

Assignee: CD TPM-王祥林 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303220131

Resolution: WORKSFORME Degrated: --

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【测试步骤】

1、刷机

2、进入桌面

3、点击屏幕

【预期结果】

3、设备响应点击事件

【实际结果】

3、上层无响应，TP有报点

History

#1 - 2023-03-23 18:13 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- Need_Info changed from -- to TEST

■ 我的分析

从日志中发现了如下ANR，从现象来看，与116540票中Monkey跑出的异常相似

但该问题复现概率很低，且人为操作很难出现

-------------

03-22 02:42:47.765  1206  1736 I WindowManager: ANR in ActivityRecord{853e7d5 u0 com.android.systemui/.usb.UsbDebuggingActivity t8}.  Reason: Application does

not have a focused window

03-22 02:42:52.060  1206  3928 E ActivityManager: ANR in com.android.systemui (com.android.systemui/.usb.UsbDebuggingActivity)

03-22 02:42:52.060  1206  3928 E ActivityManager: PID: 2002

03-22 02:42:52.060  1206  3928 E ActivityManager: Reason: Input dispatching timed out (Application does not have a focused window)

03-22 02:42:52.060  1206  3928 E ActivityManager: Parent: com.android.systemui/.usb.UsbDebuggingActivity

03-22 02:42:52.060  1206  3928 E ActivityManager: Frozen: false

03-22 02:42:52.060  1206  3928 E ActivityManager: Load: 0.87 / 0.42 / 0.16

03-22 02:42:52.060  1206  3928 E ActivityManager: ----- Output from /proc/pressure/memory -----

03-22 02:42:52.060  1206  3928 E ActivityManager: some avg10=0.00 avg60=0.00 avg300=0.00 total=0

03-22 02:42:52.060  1206  3928 E ActivityManager: full avg10=0.00 avg60=0.00 avg300=0.00 total=0
03-22 02:42:52.060  1206  3928 E ActivityManager: ----- End output from /proc/pressure/memory -----

03-22 02:42:52.060  1206  3928 E ActivityManager: 

03-22 02:42:52.060  1206  3928 E ActivityManager: CPU usage from 82838ms to 0ms ago (2023-03-22 02:41:25.003 to 2023-03-22 02:42:47.841):

03-22 02:42:52.060  1206  3928 E ActivityManager:   8.2% 1206/system_server: 5.5% user + 2.6% kernel / faults: 34002 minor 8 major

03-22 02:42:52.060  1206  3928 E ActivityManager:   6.3% 857/vendor.qti.hardware.display.composer-service: 3.9% user + 2.4% kernel / faults: 408 minor

03-22 02:42:52.060  1206  3928 E ActivityManager:   3.6% 1252/mediaserver: 2.1% user + 1.4% kernel / faults: 1762 minor

03-22 02:42:52.060  1206  3928 E ActivityManager:   3.2% 1007/surfaceflinger: 2% user + 1.1% kernel / faults: 620 minor

03-22 02:42:52.060  1206  3928 E ActivityManager:   1.8% 1268/media.codec: 0.4% user + 1.4% kernel / faults: 11515 minor

03-22 02:42:52.060  1206  3928 E ActivityManager:   1.2% 336/kworker/u16:11-ufs_pm_qos_0: 0% user + 1.2% kernel

03-22 02:42:52.060  1206  3928 E ActivityManager:   1.1% 281/kworker/u16:7-kgsl_devfreq_wq: 0% user + 1.1% kernel / faults: 5 minor

-------------

■ 下一步解析计划

请测试同学帮忙确认下此问题复现概率

复现概率高-> 与Monkey的ANR问题原因应该不同

复现概率低 人为操作几乎无法复现-> 与Monkey的ANR问题原因应该一致，我们会在116540中解析该问题，并关闭此同件票

备注:在较新的几个版本中，研发这边本地编译的版本和qfile的版本，没有出现过该问题

#2 - 2023-04-04 17:25 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WORKSFORME

4.4

经过近10天测试

暂未复现该问题

所以暂时判断与116540同因

先关闭该bug

#3 - 2023-04-04 17:26 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#4 - 2023-04-04 17:26 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#5 - 2023-04-24 13:46 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to CD TPM-王祥林

麻烦看看这个BUG是否需要再次跟踪处理

Files

20230322-164841.mp4 5.71 MB 2023-03-22 CD TEST-方永红

log.txt 4.09 MB 2023-03-22 CD TEST-方永红
